%define module three-merge
%define pypi_name three_merge

Name:           python-%{module}
Version:        0.1.1
Release:        %mkrel 1
Summary:        Simple library for merging two strings with respect to a base one
Group:          Development/Python
License:        MIT
URL:            https://github.com/spyder-ide/three-merge
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/three-merge-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Simple Python library to perform a 3-way merge between strings, based on
diff-match-patch. This library performs merges at a character level, as
opposed to most VCS systems, which opt for a line-based approach.

%package -n     python3-%{module}
Summary:        Simple library for merging two strings with respect to a base one
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Simple Python library to perform a 3-way merge between strings, based on
diff-match-patch. This library performs merges at a character level, as
opposed to most VCS systems, which opt for a line-based approach.

%prep
%autosetup -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Jan 07 2021 daviddavid <daviddavid> 0.1.1-1.mga8
+ Revision: 1669387
- initial package python-three-merge (needed for spyder)

